## metkit 1.11.0.DE.3

=== debian/changelog ===
metkit (1.11.0.DE.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Jan 2024 07:18:12 +0000

metkit (1.11.0-1) unstable; urgency=medium

  * New upstream release
  * Dep on eckit >= 1.25.0
  * Drop obsolete break/depends on  odb

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Dec 2023 10:26:16 +0000
