=== debian/changelog ===
metkit (1.11.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Feb 2024 07:16:30 +0000

metkit (1.11.5-1) unstable; urgency=medium

  * New upstream release
  * Replace recommends: pkg-config -> pkgconf

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Feb 2024 06:05:08 +0000

metkit (1.11.4-1) unstable; urgency=medium

  * Drop unused references to Fortran
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Feb 2024 06:41:07 +0000

metkit (1.11.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jan 2024 07:05:34 +0000
