=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper-compat (=13),
  architecture-is-64-bit,
  ecbuild (>= 3.7.2-1~),
- gfortran | fortran-compiler,
  libeckit-dev (>= 1.25.0-1~),
  libodc-dev,
  odc,
@@ -46,7 +45,7 @@
 Depends: libmetkit0d (= ${binary:Version}),
   ${misc:Depends}, libeckit-dev,
   libodc-dev
-Recommends: pkg-config
+Recommends: pkgconf
 Description: Development files for the Metkit toolkit
  MetKit is a toolkit from ECMWF for manipulating and describing
  meteorological objects, implementing the MARS language and associated
