## metkit 1.11.13

=== debian/changelog ===
metkit (1.11.13-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Jun 2024 07:07:21 +0100

metkit (1.11.12-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 May 2024 08:12:43 +0100
