=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,8 @@
 
 ecbuild_get_test_multidata( TARGET grib_get_data
                             DIRNAME grib_api/data
-                            NAMES latlon.grib )
+                            NAMES latlon.grib
+                                  synthetic_2msgs.grib )
 
 ecbuild_get_test_multidata( TARGET metkit_get_odb_data
                             NAMES multiodb.odb
@@ -61,6 +62,15 @@
                   NO_AS_NEEDED
                   LIBS          metkit )
 
+ecbuild_add_test( TARGET        metkit_test_gribhandle
+                  CONDITION     HAVE_GRIB
+                  SOURCES       test_gribhandle.cc
+                  INCLUDES      "${ECKIT_INCLUDE_DIRS}" "${ECCODES_INCLUDE_DIR}"
+                  LIBS          metkit
+                  TEST_DEPENDS  grib_get_data
+                  NO_AS_NEEDED
+                  ENVIRONMENT   "${metkit_env}")
+
 list(APPEND testFileSuffixes typesfactory expand param_axis steprange_axis time hypercube type_levelist )
 
 foreach(test IN LISTS testFileSuffixes)
