=== debian/changelog ===
metkit (1.11.14-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Jun 2024 10:21:49 +0100
