=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: metkit
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (=13),
  architecture-is-64-bit,
  ecbuild (>= 3.7.2-1~),
@@ -13,7 +14,7 @@
  libopenjp2-7-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/ecmwf/metkit
-Vcs-Browser: https://salsa.debian.org:/science-team/metkit.git
+Vcs-Browser: https://salsa.debian.org/science-team/metkit.git
 Vcs-Git: https://salsa.debian.org/science-team/metkit.git -b debian/latest
 
 Package: libmetkit0d
