## metkit 1.11.20

=== debian/changelog ===
metkit (1.11.20-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Oct 2024 09:21:55 +0100

metkit (1.11.19+ds-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version now 4.7.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Sep 2024 10:25:44 +0100
