=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libeccodes-dev,
  libeccodes-tools,
  libopenjp2-7-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ecmwf/metkit
 Vcs-Browser: https://salsa.debian.org/science-team/metkit.git
 Vcs-Git: https://salsa.debian.org/science-team/metkit.git -b debian/latest
