=== debian/changelog ===
metkit (1.11.22-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Nov 2024 08:29:39 +0000

metkit (1.11.21-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Nov 2024 16:37:21 +0000
