## metkit 1.12.0

=== debian/changelog ===
metkit (1.12.0-1) unstable; urgency=medium

  * New upstream release
  * Depend on libeckit >= 1.28.5
  * shebang.patch: fix python3 paths

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Feb 2025 09:09:11 +0000
