## metkit 1.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,33 @@
 ########################################################################################################################
 ### dependencies and options
 
-ecbuild_bundle( PROJECT share    GIT "https://github.com/ecmwf/metkit-configs"    BRANCH main UPDATE)
+if(NOT METKIT_CONFIGS_BRANCH)
+    set(METKIT_CONFIGS_BRANCH chk)
+endif()
+
+if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/share")
+    if(IS_SYMLINK "${CMAKE_CURRENT_SOURCE_DIR}/share")
+        if (METKIT_CONFIGS_PATH)
+            #check if it matches with METKIT_CONFIGS_PATH
+            file(REAL_PATH "${CMAKE_CURRENT_SOURCE_DIR}/share" current_metkit_config_path EXPAND_TILDE)
+            file(REAL_PATH "${METKIT_CONFIGS_PATH}" requested_metkit_config_path EXPAND_TILDE)
+            if(NOT (current_metkit_config_path STREQUAL requested_metkit_config_path))
+                message(SEND_ERROR "metkit-configs refers to ${current_metkit_config_path}; requested METKIT_CONFIGS_PATH is ${requested_metkit_config_path}")
+            endif()
+        endif()
+    elseif(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/share")
+        # update the content
+        ecbuild_bundle( PROJECT share    GIT "https://github.com/ecmwf/metkit-configs"    BRANCH "${METKIT_CONFIGS_BRANCH}" UPDATE )
+    else()
+        message(SEND_ERROR "${CMAKE_CURRENT_SOURCE_DIR}/share must point to a valid metkit configuration. Cannot be a regular file")
+    endif()
+else()
+    if(METKIT_CONFIGS_PATH)
+        file( CREATE_LINK "${METKIT_CONFIGS_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/share" SYMBOLIC )
+    else()
+        ecbuild_bundle( PROJECT share    GIT "https://github.com/ecmwf/metkit-configs"    BRANCH "${METKIT_CONFIGS_BRANCH}" UPDATE )
+    endif()
+endif()
 
 ecbuild_add_option( FEATURE BUILD_TOOLS
                     DEFAULT ON
