=== debian/changelog ===
metkit (1.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Feb 2025 09:49:55 +0000
