=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (=13),
  architecture-is-64-bit,
  ecbuild (>= 3.7.2-1~),
- libeckit-dev (>= 1.25.0-1~),
+ libeckit-dev (>= 1.28.5-1~),
  libodc-dev,
  odc,
  libeccodes-dev,
