## metkit 1.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,30 +22,6 @@
 
 if(NOT METKIT_CONFIGS_BRANCH)
     set(METKIT_CONFIGS_BRANCH chk)
-endif()
-
-if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/share")
-    if(IS_SYMLINK "${CMAKE_CURRENT_SOURCE_DIR}/share")
-        if (METKIT_CONFIGS_PATH)
-            #check if it matches with METKIT_CONFIGS_PATH
-            file(REAL_PATH "${CMAKE_CURRENT_SOURCE_DIR}/share" current_metkit_config_path EXPAND_TILDE)
-            file(REAL_PATH "${METKIT_CONFIGS_PATH}" requested_metkit_config_path EXPAND_TILDE)
-            if(NOT (current_metkit_config_path STREQUAL requested_metkit_config_path))
-                message(SEND_ERROR "metkit-configs refers to ${current_metkit_config_path}; requested METKIT_CONFIGS_PATH is ${requested_metkit_config_path}")
-            endif()
-        endif()
-    elseif(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/share")
-        # update the content
-        ecbuild_bundle( PROJECT share    GIT "https://github.com/ecmwf/metkit-configs"    BRANCH "${METKIT_CONFIGS_BRANCH}" UPDATE )
-    else()
-        message(SEND_ERROR "${CMAKE_CURRENT_SOURCE_DIR}/share must point to a valid metkit configuration. Cannot be a regular file")
-    endif()
-else()
-    if(METKIT_CONFIGS_PATH)
-        file( CREATE_LINK "${METKIT_CONFIGS_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/share" SYMBOLIC )
-    else()
-        ecbuild_bundle( PROJECT share    GIT "https://github.com/ecmwf/metkit-configs"    BRANCH "${METKIT_CONFIGS_BRANCH}" UPDATE )
-    endif()
 endif()
 
 ecbuild_add_option( FEATURE BUILD_TOOLS
@@ -84,6 +60,12 @@
                     DESCRIPTION "Add support for ODB data"
                     REQUIRED_PACKAGES "NAME odc VERSION 1.0" )
 
+# METKIT config files support
+
+ecbuild_add_option( FEATURE METKIT_CONFIG
+                    DEFAULT ON
+                    DESCRIPTION "Install metkit configuration files" )
+
 # Temporary
 ecbuild_add_option( FEATURE FAIL_ON_CCSDS
                     DESCRIPTION "Fail on CCSDS"
@@ -100,6 +82,7 @@
 include(cmake/compiler_warnings.cmake) # optionally handle compiler specific warnings
 
 add_subdirectory( src )
+add_subdirectory( share )
 add_subdirectory( tests )
 
 ############################################################################################
