=== share/CMakeLists.txt ===
add_subdirectory( metkit )
