=== debian/changelog ===
metkit (1.12.2-2) unstable; urgency=medium

  * python3-any should be python3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Mar 2025 10:55:47 +0000

metkit (1.12.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * -utils: depend on python3-any

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Mar 2025 10:57:05 +0000
