## metkit 1.12.4

=== debian/changelog ===
metkit (1.12.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Mar 2025 05:59:12 +0000

metkit (1.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Mar 2025 19:18:10 +0000
