=== debian/changelog ===
metkit (1.12.8-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Mar 2025 09:24:34 +0100
