=== debian/changelog ===
metkit (1.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Apr 2025 07:21:23 +0100
