=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (=13),
  architecture-is-64-bit,
+ dh-sequence-python3,
  ecbuild (>= 3.7.2-1~),
  libeckit-dev (>= 1.28.5-1~),
  libodc-dev,
@@ -12,7 +13,7 @@
  libeccodes-dev,
  libeccodes-tools,
  libopenjp2-7-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ecmwf/metkit
 Vcs-Browser: https://salsa.debian.org/science-team/metkit.git
 Vcs-Git: https://salsa.debian.org/science-team/metkit.git -b debian/latest
@@ -58,7 +59,7 @@
 Multi-Arch: foreign
 Architecture: any
 Depends: libmetkit0d ( = ${binary:Version}),
-  ${shlibs:Depends}, ${misc:Depends}
+  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Recommends: libmetkit-dev (= ${binary:Version})
 Description: Utilities for the MetKit MARS access library
  MetKit is a toolkit from ECMWF for manipulating and describing
