## metkit 1.13.1

=== debian/changelog ===
metkit (1.13.1-1) experimental; urgency=medium

  * New upstream release
  * Dep on eckit >= 1.29. Closes: #1104355

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 May 2025 10:33:50 +0100
