=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  architecture-is-64-bit,
  dh-sequence-python3,
  ecbuild (>= 3.7.2-1~),
- libeckit-dev (>= 1.28.5-1~),
+ libeckit-dev (>= 1.29.1-1~),
  libodc-dev,
  odc,
  libeccodes-dev,
