## metkit 1.14.0

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -24,16 +24,8 @@
                             NAMES multiodb.odb
                                   multiodb2.odb )
 
-# ecbuild_add_test( TARGET        metkit_test_emosfile
-#                   ARGS          --log_level=message
-#                   CONDITION     HAVE_GRIB
-#                   INCLUDES      "${ECKIT_INCLUDE_DIRS}"
-#                   SOURCES       test_emosfile.cc
-#                   ENVIRONMENT   "${metkit_env}"
-#                   LIBS          metkit
-#                   TEST_DEPENDS  grib_get_data
-# )
-
+add_custom_target(soft_link_expand_test_data ALL
+                  COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_SOURCE_DIR}/expand" "${CMAKE_CURRENT_BINARY_DIR}/expand")
 
 ecbuild_add_test( TARGET        metkit_test_multihandle
                   CONDITION     HAVE_GRIB
@@ -71,15 +63,28 @@
                   NO_AS_NEEDED
                   ENVIRONMENT   "${metkit_env}")
 
-list(APPEND testFileSuffixes typesfactory expand filter request param_axis steprange_axis date time step hypercube type_levelist c_api integer_range )
-
-foreach(test IN LISTS testFileSuffixes)
-    ecbuild_add_test( TARGET    "metkit_test_${test}"
-                      SOURCES   "test_${test}.cc"
-                      INCLUDES  "${ECKIT_INCLUDE_DIRS}"
-                      ENVIRONMENT   "${metkit_env}"
+foreach( test 
+        c_api
+        context
+        date
+        expand
+        filter
+        hypercube
+        integer_range
+        language
+        param_axis
+        request
+        step
+        steprange_axis
+        time
+        type_levelist
+        typesfactory )
+    ecbuild_add_test( TARGET       "metkit_test_${test}"
+                      SOURCES      "test_${test}.cc"
+                      INCLUDES     "${ECKIT_INCLUDE_DIRS}"
+                      ENVIRONMENT  "${metkit_env}"
                       NO_AS_NEEDED
-                      LIBS      metkit)
+                      LIBS         metkit)
 endforeach()
 
 # Compile C test
