=== debian/changelog ===
metkit (1.14.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Jun 2025 11:30:11 +0100

metkit (1.13.3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Jun 2025 08:50:08 +0100

metkit (1.13.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 May 2025 15:08:45 +0100

metkit (1.13.1-2) expeerimental; urgency=medium

  * Build against eckit 1.29.3-1, depend on odc >= 1.6.1-1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 May 2025 07:49:40 +0100
