=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ecbuild (>= 3.7.2-1~),
  libeckit-dev (>= 1.29.1-1~),
  libodc-dev,
- odc,
+ odc (>= 1.6.1-1~),
  libeccodes-dev,
  libeccodes-tools,
  libopenjp2-7-dev
