## metkit 1.14.1

=== debian/changelog ===
metkit (1.14.1-1) experimental; urgency=medium

  * New upstream release
  *  B-D on libeckit-dev >= 1.31.4-1
  * Remove old FSF address from d/copyright

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jul 2025 09:52:33 +0100

metkit (1.13.1-2) experimental; urgency=medium

  * Build against eckit 1.29.3-1, depend on odc >= 1.6.1-1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 May 2025 07:49:40 +0100
