## metkit 1.14.2

=== debian/changelog ===
metkit (1.14.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Aug 2025 10:05:54 +0100
