## metkit 1.14.3

=== share/metkit/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-list( APPEND files language.yaml paramids.yaml params.yaml params-static.yaml param-matching.yaml bufr-subtypes.yaml axis.yaml shortname-context.yaml )
+list( APPEND files language.yaml obstype.yaml paramids.yaml params.yaml params-static.yaml param-matching.yaml bufr-subtypes.yaml axis.yaml shortname-context.yaml )
 
 foreach( _file ${files} )
