=== src/metkit/CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,8 @@
     mars/DHSProtocol.h
     mars/MarsExpandContext.cc
     mars/MarsExpandContext.h
-    mars/MarsExpension.cc
+    mars/MarsExpansion.cc
+    mars/MarsExpansion.h
     mars/MarsExpension.h
     mars/MarsHandle.cc
     mars/MarsHandle.h
@@ -57,8 +58,6 @@
     mars/TypeAny.cc
     mars/TypeAny.h
     mars/TypeDate.cc
-    mars/TypeDate.cc
-    mars/TypeDate.h
     mars/TypeDate.h
     mars/TypeEnum.cc
     mars/TypeEnum.h
@@ -96,7 +95,7 @@
     hypercube/HyperCube.cc
     hypercube/HyperCube.h
     hypercube/HyperCubePayloaded.h
-    api/metkit_c.cc 
+    api/metkit_c.cc
     api/metkit_c.h
 )
 
@@ -132,8 +131,6 @@
         codes/BUFRDecoder.h
         codes/GRIBDecoder.cc
         codes/GRIBDecoder.h
-        codes/LibEccodes.cc
-        codes/LibEccodes.h
         codes/CodesContent.cc
         codes/CodesContent.h
         codes/BufrContent.cc
@@ -153,7 +150,14 @@
         codes/GribIterator.cc
         codes/GribIterator.h
         codes/CodesHandleDeleter.h
+    )
+
+    if( NOT eccodes_HAVE_GEOGRAPHY OR NOT eccodes_HAVE_ECKIT_GEO )
+        list( APPEND metkit_srcs
+            codes/LibEccodes.cc
+            codes/LibEccodes.h
         )
+    endif()
 
     set( grib_libs eccodes )
