=== debian/changelog ===
metkit (1.14.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Aug 2025 10:29:59 +0100
