## metkit 1.14.4

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,7 @@
         hypercube
         integer_range
         language
+        obstype
         param_axis
         request
         step
