=== debian/changelog ===
metkit (1.14.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 09:11:33 +0100
