## metkit 1.15.0

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -71,6 +71,7 @@
         filter
         hypercube
         integer_range
+        matcher
         language
         obstype
         param_axis
