=== debian/changelog ===
metkit (1.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Oct 2025 08:59:55 +0100
