## metkit 1.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -74,7 +74,7 @@
 
 set( PERSISTENT_NAMESPACE "eckit" CACHE INTERNAL "" ) # needed for generating .b files for persistent support
 
-ecbuild_find_package( NAME eckit  VERSION  1.16 REQUIRED )
+ecbuild_find_package( NAME eckit  VERSION  1.32 REQUIRED )
 
 ############################################################################################
 # sources
