=== src/metkit/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,8 @@
     mars/ClientTask.h
     mars/DHSProtocol.cc
     mars/DHSProtocol.h
+    mars/Matcher.cc
+    mars/Matcher.h
     mars/MarsExpandContext.cc
     mars/MarsExpandContext.h
     mars/MarsExpansion.cc
