=== debian/changelog ===
metkit (1.15.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 05 Oct 2025 06:30:33 +0100
