=== debian/changelog ===
metkit (1.15.2-1) unstable; urgency=medium

  * New upstream release
  * Update d/watch to version 4

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Oct 2025 08:54:30 +0100
